unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, AHMSystemClass, AHMTFileCollector;

type
  TForm1 = class(TForm)
    AHMFileCollector1: TAHMFileCollector;
    Edit1: TEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    Label2: TLabel;
    Button1: TButton;
    Label3: TLabel;
    procedure AHMFileCollector1FileFound(Sender: TObject;
      FileOrPath: String; var Continue: Boolean);
    procedure Button1Click(Sender: TObject);
    procedure AHMFileCollector1Done(Sender: TObject);
    procedure AHMFileCollector1Start(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AHMFileCollector1FileFound(Sender: TObject;
  FileOrPath: String; var Continue: Boolean);
begin
  ListBox1.Items.Add(FileOrPath);
  Continue:=True;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  AHMFileCollector1.FileMask:=Edit1.Text;
  AHMFileCollector1.Execute;
end;

procedure TForm1.AHMFileCollector1Done(Sender: TObject);
begin
  showmessage('Finished searching');
end;

procedure TForm1.AHMFileCollector1Start(Sender: TObject);
begin
  Listbox1.Items.Clear;
end;

end.
